## UDisksVDOVolume

UDisksVDOVolume — Generated C code for the org.freedesktop.UDisks2.VDOVolume D-Bus interface

## Functions

void | udisks_vdo_volume_proxy_new ()
UDisksVDOVolume * | udisks_vdo_volume_proxy_new_finish ()
UDisksVDOVolume * | udisks_vdo_volume_proxy_new_sync ()
void | udisks_vdo_volume_proxy_new_for_bus ()
UDisksVDOVolume * | udisks_vdo_volume_proxy_new_for_bus_finish ()
UDisksVDOVolume * | udisks_vdo_volume_proxy_new_for_bus_sync ()
gboolean | udisks_vdo_volume_get_compression ()
void | udisks_vdo_volume_set_compression ()
const gchar * | udisks_vdo_volume_get_compression_state ()
gchar * | udisks_vdo_volume_dup_compression_state ()
void | udisks_vdo_volume_set_compression_state ()
gboolean | udisks_vdo_volume_get_deduplication ()
void | udisks_vdo_volume_set_deduplication ()
const gchar * | udisks_vdo_volume_get_index_state ()
gchar * | udisks_vdo_volume_dup_index_state ()
void | udisks_vdo_volume_set_index_state ()
const gchar * | udisks_vdo_volume_get_operating_mode ()
gchar * | udisks_vdo_volume_dup_operating_mode ()
void | udisks_vdo_volume_set_operating_mode ()
guint64 | udisks_vdo_volume_get_used_size ()
void | udisks_vdo_volume_set_used_size ()
const gchar * | udisks_vdo_volume_get_vdo_pool ()
gchar * | udisks_vdo_volume_dup_vdo_pool ()
void | udisks_vdo_volume_set_vdo_pool ()
void | udisks_vdo_volume_call_enable_compression ()
gboolean | udisks_vdo_volume_call_enable_compression_finish ()
gboolean | udisks_vdo_volume_call_enable_compression_sync ()
void | udisks_vdo_volume_call_enable_deduplication ()
gboolean | udisks_vdo_volume_call_enable_deduplication_finish ()
gboolean | udisks_vdo_volume_call_enable_deduplication_sync ()
void | udisks_vdo_volume_call_get_statistics ()
gboolean | udisks_vdo_volume_call_get_statistics_finish ()
gboolean | udisks_vdo_volume_call_get_statistics_sync ()
void | udisks_vdo_volume_call_resize_logical ()
gboolean | udisks_vdo_volume_call_resize_logical_finish ()
gboolean | udisks_vdo_volume_call_resize_logical_sync ()
void | udisks_vdo_volume_call_resize_physical ()
gboolean | udisks_vdo_volume_call_resize_physical_finish ()
gboolean | udisks_vdo_volume_call_resize_physical_sync ()
UDisksVDOVolume * | udisks_vdo_volume_skeleton_new ()
void | udisks_vdo_volume_complete_enable_compression ()
void | udisks_vdo_volume_complete_enable_deduplication ()
void | udisks_vdo_volume_complete_get_statistics ()
void | udisks_vdo_volume_complete_resize_logical ()
void | udisks_vdo_volume_complete_resize_physical ()

## Types and Values

| UDisksVDOVolume
struct | UDisksVDOVolumeProxy
struct | UDisksVDOVolumeProxyClass
struct | UDisksVDOVolumeSkeleton
struct | UDisksVDOVolumeSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksVDOVolume

## Prerequisites

UDisksVDOVolume requires GObject.

## Description

This section contains code for working with the org.freedesktop.UDisks2.VDOVolume D-Bus interface in C.

## Functions

### udisks_vdo_volume_proxy_new ()

    void
    udisks_vdo_volume_proxy_new (GDBusConnection *connection,
                                 GDBusProxyFlags flags,
                                 const gchar *name,
                                 const gchar *object_path,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.VDOVolume. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_vdo_volume_proxy_new_finish()` to get the result of the operation.

See `udisks_vdo_volume_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.9.0

### udisks_vdo_volume_proxy_new_finish ()

    UDisksVDOVolume *
    udisks_vdo_volume_proxy_new_finish (GAsyncResult *res,
                                        GError **error);

Finishes an operation started with `udisks_vdo_volume_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_vdo_volume_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksVDOVolumeProxy]

Since: 2.9.0

### udisks_vdo_volume_proxy_new_sync ()

    UDisksVDOVolume *
    udisks_vdo_volume_proxy_new_sync (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.VDOVolume. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_vdo_volume_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksVDOVolumeProxy]

Since: 2.9.0

### udisks_vdo_volume_proxy_new_for_bus ()

    void
    udisks_vdo_volume_proxy_new_for_bus (GBusType bus_type,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Like `udisks_vdo_volume_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_vdo_volume_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_vdo_volume_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.9.0

### udisks_vdo_volume_proxy_new_for_bus_finish ()

    UDisksVDOVolume *
    udisks_vdo_volume_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_vdo_volume_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_vdo_volume_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksVDOVolumeProxy]

Since: 2.9.0

### udisks_vdo_volume_proxy_new_for_bus_sync ()

    UDisksVDOVolume *
    udisks_vdo_volume_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_vdo_volume_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_vdo_volume_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksVDOVolumeProxy]

Since: 2.9.0

### udisks_vdo_volume_get_compression ()

    gboolean
    udisks_vdo_volume_get_compression (UDisksVDOVolume *object);

Gets the value of the "Compression" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value.

Since: 2.9.0

### udisks_vdo_volume_set_compression ()

    void
    udisks_vdo_volume_set_compression (UDisksVDOVolume *object,
                                       gboolean value);

Sets the "Compression" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |
value | The value to set. |

Since: 2.9.0

### udisks_vdo_volume_get_compression_state ()

    const gchar *
    udisks_vdo_volume_get_compression_state
                                   (UDisksVDOVolume *object);

Gets the value of the "CompressionState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_vdo_volume_dup_compression_state()` if on another thread.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.9.0

### udisks_vdo_volume_dup_compression_state ()

    gchar *
    udisks_vdo_volume_dup_compression_state
                                   (UDisksVDOVolume *object);

Gets a copy of the "CompressionState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.9.0

### udisks_vdo_volume_set_compression_state ()

    void
    udisks_vdo_volume_set_compression_state
                                   (UDisksVDOVolume *object,
                                    const gchar *value);

Sets the "CompressionState" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |
value | The value to set. |

Since: 2.9.0

### udisks_vdo_volume_get_deduplication ()

    gboolean
    udisks_vdo_volume_get_deduplication (UDisksVDOVolume *object);

Gets the value of the "Deduplication" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value.

Since: 2.9.0

### udisks_vdo_volume_set_deduplication ()

    void
    udisks_vdo_volume_set_deduplication (UDisksVDOVolume *object,
                                         gboolean value);

Sets the "Deduplication" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |
value | The value to set. |

Since: 2.9.0

### udisks_vdo_volume_get_index_state ()

    const gchar *
    udisks_vdo_volume_get_index_state (UDisksVDOVolume *object);

Gets the value of the "IndexState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_vdo_volume_dup_index_state()` if on another thread.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.9.0

### udisks_vdo_volume_dup_index_state ()

    gchar *
    udisks_vdo_volume_dup_index_state (UDisksVDOVolume *object);

Gets a copy of the "IndexState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.9.0

### udisks_vdo_volume_set_index_state ()

    void
    udisks_vdo_volume_set_index_state (UDisksVDOVolume *object,
                                       const gchar *value);

Sets the "IndexState" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |
value | The value to set. |

Since: 2.9.0

### udisks_vdo_volume_get_operating_mode ()

    const gchar *
    udisks_vdo_volume_get_operating_mode (UDisksVDOVolume *object);

Gets the value of the "OperatingMode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_vdo_volume_dup_operating_mode()` if on another thread.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.9.0

### udisks_vdo_volume_dup_operating_mode ()

    gchar *
    udisks_vdo_volume_dup_operating_mode (UDisksVDOVolume *object);

Gets a copy of the "OperatingMode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.9.0

### udisks_vdo_volume_set_operating_mode ()

    void
    udisks_vdo_volume_set_operating_mode (UDisksVDOVolume *object,
                                          const gchar *value);

Sets the "OperatingMode" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |
value | The value to set. |

Since: 2.9.0

### udisks_vdo_volume_get_used_size ()

    guint64
    udisks_vdo_volume_get_used_size (UDisksVDOVolume *object);

Gets the value of the "UsedSize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value.

Since: 2.9.0

### udisks_vdo_volume_set_used_size ()

    void
    udisks_vdo_volume_set_used_size (UDisksVDOVolume *object,
                                     guint64 value);

Sets the "UsedSize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |
value | The value to set. |

Since: 2.9.0

### udisks_vdo_volume_get_vdo_pool ()

    const gchar *
    udisks_vdo_volume_get_vdo_pool (UDisksVDOVolume *object);

Gets the value of the "VDOPool" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_vdo_volume_dup_vdo_pool()` if on another thread.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.9.0

### udisks_vdo_volume_dup_vdo_pool ()

    gchar *
    udisks_vdo_volume_dup_vdo_pool (UDisksVDOVolume *object);

Gets a copy of the "VDOPool" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.9.0

### udisks_vdo_volume_set_vdo_pool ()

    void
    udisks_vdo_volume_set_vdo_pool (UDisksVDOVolume *object,
                                    const gchar *value);

Sets the "VDOPool" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksVDOVolume. |
value | The value to set. |

Since: 2.9.0

### udisks_vdo_volume_call_enable_compression ()

    void
    udisks_vdo_volume_call_enable_compression
                                   (UDisksVDOVolume *proxy,
                                    gboolean arg_enable,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `EnableCompression()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_vdo_volume_call_enable_compression_finish()` to get the result of the operation.

See `udisks_vdo_volume_call_enable_compression_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_enable | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.9.0

### udisks_vdo_volume_call_enable_compression_finish ()

    gboolean
    udisks_vdo_volume_call_enable_compression_finish
                                   (UDisksVDOVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_vdo_volume_call_enable_compression()`.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_vdo_volume_call_enable_compression()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_call_enable_compression_sync ()

    gboolean
    udisks_vdo_volume_call_enable_compression_sync
                                   (UDisksVDOVolume *proxy,
                                    gboolean arg_enable,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `EnableCompression()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_vdo_volume_call_enable_compression()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_enable | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_call_enable_deduplication ()

    void
    udisks_vdo_volume_call_enable_deduplication
                                   (UDisksVDOVolume *proxy,
                                    gboolean arg_enable,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `EnableDeduplication()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_vdo_volume_call_enable_deduplication_finish()` to get the result of the operation.

See `udisks_vdo_volume_call_enable_deduplication_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_enable | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.9.0

### udisks_vdo_volume_call_enable_deduplication_finish ()

    gboolean
    udisks_vdo_volume_call_enable_deduplication_finish
                                   (UDisksVDOVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_vdo_volume_call_enable_deduplication()`.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_vdo_volume_call_enable_deduplication()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_call_enable_deduplication_sync ()

    gboolean
    udisks_vdo_volume_call_enable_deduplication_sync
                                   (UDisksVDOVolume *proxy,
                                    gboolean arg_enable,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `EnableDeduplication()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_vdo_volume_call_enable_deduplication()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_enable | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_call_get_statistics ()

    void
    udisks_vdo_volume_call_get_statistics (UDisksVDOVolume *proxy,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `GetStatistics()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_vdo_volume_call_get_statistics_finish()` to get the result of the operation.

See `udisks_vdo_volume_call_get_statistics_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.9.0

### udisks_vdo_volume_call_get_statistics_finish ()

    gboolean
    udisks_vdo_volume_call_get_statistics_finish
                                   (UDisksVDOVolume *proxy,
                                    GVariant **out_stats,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_vdo_volume_call_get_statistics()`.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
out_stats | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_vdo_volume_call_get_statistics()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_call_get_statistics_sync ()

    gboolean
    udisks_vdo_volume_call_get_statistics_sync
                                   (UDisksVDOVolume *proxy,
                                    GVariant *arg_options,
                                    GVariant **out_stats,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetStatistics()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_vdo_volume_call_get_statistics()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_options | Argument to pass with the method invocation. |
out_stats | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_call_resize_logical ()

    void
    udisks_vdo_volume_call_resize_logical (UDisksVDOVolume *proxy,
                                           guint64 arg_size,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `ResizeLogical()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_vdo_volume_call_resize_logical_finish()` to get the result of the operation.

See `udisks_vdo_volume_call_resize_logical_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.9.0

### udisks_vdo_volume_call_resize_logical_finish ()

    gboolean
    udisks_vdo_volume_call_resize_logical_finish
                                   (UDisksVDOVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_vdo_volume_call_resize_logical()`.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_vdo_volume_call_resize_logical()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_call_resize_logical_sync ()

    gboolean
    udisks_vdo_volume_call_resize_logical_sync
                                   (UDisksVDOVolume *proxy,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ResizeLogical()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_vdo_volume_call_resize_logical()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_call_resize_physical ()

    void
    udisks_vdo_volume_call_resize_physical
                                   (UDisksVDOVolume *proxy,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ResizePhysical()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_vdo_volume_call_resize_physical_finish()` to get the result of the operation.

See `udisks_vdo_volume_call_resize_physical_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.9.0

### udisks_vdo_volume_call_resize_physical_finish ()

    gboolean
    udisks_vdo_volume_call_resize_physical_finish
                                   (UDisksVDOVolume *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_vdo_volume_call_resize_physical()`.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_vdo_volume_call_resize_physical()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_call_resize_physical_sync ()

    gboolean
    udisks_vdo_volume_call_resize_physical_sync
                                   (UDisksVDOVolume *proxy,
                                    guint64 arg_size,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ResizePhysical()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_vdo_volume_call_resize_physical()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksVDOVolumeProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.9.0

### udisks_vdo_volume_skeleton_new ()

    UDisksVDOVolume *
    udisks_vdo_volume_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.VDOVolume.

#### Returns

The skeleton object.

[transfer full][type UDisksVDOVolumeSkeleton]

Since: 2.9.0

### udisks_vdo_volume_complete_enable_compression ()

    void
    udisks_vdo_volume_complete_enable_compression
                                   (UDisksVDOVolume *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `EnableCompression()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVDOVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.9.0

### udisks_vdo_volume_complete_enable_deduplication ()

    void
    udisks_vdo_volume_complete_enable_deduplication
                                   (UDisksVDOVolume *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `EnableDeduplication()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVDOVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.9.0

### udisks_vdo_volume_complete_get_statistics ()

    void
    udisks_vdo_volume_complete_get_statistics
                                   (UDisksVDOVolume *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *stats);

Helper function used in service implementations to finish handling invocations of the `GetStatistics()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVDOVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]
stats | Parameter to return. |

Since: 2.9.0

### udisks_vdo_volume_complete_resize_logical ()

    void
    udisks_vdo_volume_complete_resize_logical
                                   (UDisksVDOVolume *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ResizeLogical()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVDOVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.9.0

### udisks_vdo_volume_complete_resize_physical ()

    void
    udisks_vdo_volume_complete_resize_physical
                                   (UDisksVDOVolume *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ResizePhysical()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksVDOVolume. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.9.0

## Types and Values

### UDisksVDOVolume

    typedef struct _UDisksVDOVolume UDisksVDOVolume;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.VDOVolume.

Since: 2.9.0

### struct UDisksVDOVolumeProxy

    struct UDisksVDOVolumeProxy {
    };

The UDisksVDOVolumeProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.9.0

### struct UDisksVDOVolumeProxyClass

    struct UDisksVDOVolumeProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksVDOVolumeProxy.

#### Members

Since: 2.9.0

### struct UDisksVDOVolumeSkeleton

    struct UDisksVDOVolumeSkeleton {
    };

The UDisksVDOVolumeSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.9.0

### struct UDisksVDOVolumeSkeletonClass

    struct UDisksVDOVolumeSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksVDOVolumeSkeleton.

#### Members

Since: 2.9.0